Looking at the output of pkg-config for Lua 5.2 and 5.3 I see this:

        $ pkg-config --libs lua52
        -llua -lm

I'm thinking that it should output '-llua5.2' and '-llua5.3'
respectively.  The change should take place on this line of each
lua.pc.in:

Libs: -L${libdir} -llua -lm

in each lua5?.SlackBuild that edits lua.pc.in, as I understand it.

Given the symlinks when the 'lua' package is installed, liblua.so points
to liblua.so.5.1.5, liblua5.2.so points to liblua5.2.so.5.2.4, and
liblua5.3.so points to liblua5.3.so.5.3.4 at present.

Thanks!

- Nate

-- 

"The optimist proclaims that we live in the best of all
possible worlds.  The pessimist fears this is true."

Web: http://www.n0nb.us  GPG key: D55A8819  GitHub: N0NB

Attachment: signature.asc
Description: PGP signature

_______________________________________________
SlackBuilds-users mailing list
SlackBuilds-users@slackbuilds.org
https://lists.slackbuilds.org/mailman/listinfo/slackbuilds-users
Archives - https://lists.slackbuilds.org/pipermail/slackbuilds-users/
FAQ - https://slackbuilds.org/faq/

Reply via email to